# net.axay.kspigot.main

# Package net.axay.kspigot.main

## Types

KSpigot
Link copied to clipboard

This is the main instance of kSpigot.

This class replaces (and inherits from) the JavaPlugin class. Your main plugin class should inherit from this abstract class.

Instead of overriding onLoad(), onEnable() and onDisable()override:

- load() (called first)

- startup() (called second)

- shutdown() (called in the "end")

abstract class KSpigot : JavaPlugin
Content copied to clipboard
ValueHolder
Link copied to clipboard
object ValueHolder
Content copied to clipboard

## Properties

KSpigotMainInstance
Link copied to clipboard
lateinit var KSpigotMainInstance: KSpigot
Content copied to clipboard